Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.stree
Class CDATASectionImpl

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.stree.Child
                  |
                  +--org.apache.xalan.stree.TextImpl
                        |
                        +--org.apache.xalan.stree.CDATASectionImpl

public class CDATASectionImpl
extends TextImpl
implements CDATASection

Constructor Summary
`CDATASectionImpl(DocumentImpl doc, char[] ch, int start, int length)`
`CDATASectionImpl(DocumentImpl doc, java.lang.String data)`

Method Summary
`java.lang.String` | `getLocalName()` Returns the local part of the qualified name of this node.
`java.lang.String` | `getNodeName()` Returns the node name.
`short` | `getNodeType()` Returns the node type.

Methods inherited from class org.apache.xalan.stree.TextImpl
`getData, getLength, getNodeValue`

Methods inherited from class org.apache.xalan.stree.Child
`getAttributes, getChildPosition, getFirstChild, getLastChild, getLevel, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, getUid, hasChildNodes, isComplete, isNamespaceNode, setAttribute, setLevel, supports`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendChild, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildNodes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getOwnerElement, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, item, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, replaceData, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDATASectionImpl

    public CDATASectionImpl(DocumentImpl doc,
                            java.lang.String data)

### CDATASectionImpl

    public CDATASectionImpl(DocumentImpl doc,
                            char[] ch,
                            int start,
                            int length)

Method Detail

### getNodeType

    public short getNodeType()

  Returns the node type.
  Overrides:
    getNodeType in class TextImpl

### getNodeName

    public java.lang.String getNodeName()

  Returns the node name.
  Overrides:
    getNodeName in class TextImpl

### getLocalName

    public java.lang.String getLocalName()

  Returns the local part of the qualified name of this node.
  For nodes created with a DOM Level 1 method, such as `createElement` from the `Document` interface, it is `null`.
  Overrides:
    getLocalName in class TextImpl
  Since:
    DOM Level 2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.